@import "libs/shared/assets/src/global-style/_select.scss";
@import "libs/shared/assets/src/global-style/variable";
::ng-deep.cdk-virtual-scroll-viewport {
  padding: 5px 0;
  .ant-select-tree-treenode {
    padding: 7px 0;
  }
}

::ng-deep.dropdown-tree-select {
  min-width: 150%;
}

.tree-search-item {
  color: rgba(0,0,0,.85);
  font-weight: 500;
  background-color: $bg-tree-search;
}

::ng-deep {
  .ant-select-tree .ant-select-tree-node-content-wrapper.ant-select-tree-node-selected {
    background: $bg-content;
  }
  .ant-select-tree-treenode.ant-select-tree-treenode-switcher-open.ant-select-tree-treenode-selected {
    color: $bg-primary-default;
    font-weight: 600;
    border-left: 4px solid $bg-primary-default;
    background: $bg-content;
  }
  .ant-select-tree-treenode.ant-select-tree-treenode-switcher-close.ant-select-tree-treenode-selected {
     color: $bg-primary-default;
     font-weight: 600;
     border-left: 4px solid $bg-primary-default;
     background: $bg-content;
  }

  .ant-select-tree-treenode.ant-select-tree-treenode-switcher-open:hover {
    border-left: 4px solid $bg-content;
    background: $bg-content;
  }

  .ant-select-tree-treenode.ant-select-tree-treenode-switcher-close:hover {
    border-left: 4px solid $bg-content;
    background: $bg-content;
  }
}
